NEW:
	All mods:
		Added an ingame credits menu.
		Added descriptive error messages when connecting to a server fails.
		Added guard ability to combat units ('d').
		Added force-move ability (hold alt to prioritize move/crush over attack/harvest).
		Added change-mod button to the asset download screen.
		Added kick-ban to the server lobby.
		Added a button to fill empty lobby slots with bots.
		Added a renderer geometry visualization to the debug/cheats menu.
		Fixed exploit allowing arbitrary building placement.
		Fixed exploit allowing a malicious client to steal admin rights.
		Fixed glitches relating to passenger-carrying units being killed.
		Fixed a crash related to bridges on certain maps.
		Fixed a crash related to the color picker.
		Fixed a glitch where aircraft circle in the air after being killed.
		Fixed a glitch where an uncontrollable MCV is left after a construction yard is killed.
		Fixed civilians panicking when healed.
		Fixed visibility of additional spectator information (progress bars, spy ownership, etc).
		Fixed excessive "Building" notifications when rapidly pressing icons in the sidebar.
		Fixed units continuing to attack a building after it was captured.
		Fixed units chasing a chronoshifted unit across the map.
		Fixed units not being able to attack buildings from some angles.
		Removed some developer-specific options from the settings menu.
	Red Alert:
		Added external capturing for engineers (like C&C Generals).
		Added collection animation for parabomb crate.
		Fixed artwork glitches in several units and buildings.
		Fixed incorrect player color on captured oil derricks on some maps.
		Fixed support powers being available after winning a game.
		Fixed sniper damage vs walls.
		Fixed destroyable ore mines.
		Tweaked some weapon explosions.
		Sniper health reduced.
		Iron curtain duration increased to 20 seconds.
		Chronoshift duration decreased to 20 seconds.
		Mobile Radar Jammer range increased.
		Mechanic repair amount increased.
		Decrease the infantry run animation speed.
		Increased oil derrick health and cash rate. Added initial capture bonus.
		Added maps: Artemis, Fort Lonestar, Pluto, Sahara,  Survival02, Tournament Island, Zeus.
		Updated maps: Ares, Apollo, Dionysus, Doughnut, Poseidon.
		Renamed maps: Ares: National Park -> Dionysus.
		Removed maps: Hotzone, Mjolnir-2, Seaside.
	C&C:
		Restored "classic" multi-engineer behavior. Buildings above 50% health will be damaged by 50%; buildings below this will be captured.
		Added some texture to the UI background.
		Fixed veterancy chevrons on cloaked units.
		Increased aggressiveness of Viceroids.
		Reduced the pip-count on silos.
		Orca range increased, reload time decreased.
		Sam Site missile spread increased.
		Added maps: Deterring Democracy, Deterring Democracy +
		Removed maps: East vs West Redux.
		Updated maps: Skull Valley, Slippery Slopes, The Hourglass.
		Renamed maps: Rock Canyon -> Manufacturing Consent, Bialystok -> Lessons from Kosovo.
	Dune 2000:
		Added new title font.
		Added maps: Imperial Basin.
		Fixed harvester docking animation.
		Added harvesting animation.
		Uses original (better quality) audio.
		Updated maps: Black Mesa, Brimstone, Death Depths, Dune Boogie.
	Engine:
		Fixed a crash with server hosting under Windows.
		Reduced order lag for singleplayer games
		Added support for TS/RA2 mix files.
		Added support for TS/RA2 SHP images.
		Added support for TS/RA2 voxel models.
		Added support for D2K RS archives.
		Added support for WAV audio files.
		Added support for XCC mix databases.
		Added support for the D2K InstallShield archive.
		Added support for classic production-acceleration behavior.
		Added support for additional damage states on buildings.
		Added additional debug information when yaml merging fails.
		Added additional customization options for laser weapons.
		Added additional logging for server errors.
		Additional refactoring working towards TS/RA2 terrain support.
	Build system and packages:
		Host windows OpenAL and SDL dependencies on our own servers to avoid excessive downtime.
	Map Editor and Tools:
		Added an ingame asset viewer / converter to D2K and RA (enable via the Debug tab in the settings menu).

20130514:
	All mods:
		Destroyed bridges can now be repaired with an engineer.
		Significantly improved AI.
		Added (beta) support for left-click mouse orders via the settings menu.
		Added "move viewport to group" hotkey (home key or double tap group number).
		Exposed several new and/or hidden preferences in the settings menu.
		Games can now be paused with a hotkey (F9 by default) or by opening the menu in a single player game.
		New/improved UI for spectators and defeated players.
		Improved server list and lobby UI.
		Fixed units attacking enemy units hidden by fog/shroud.
		Fixed several other visibility-related bugs.
		Improved range circle contrast against terrain.
		Fixed UI notification sound issues.
		Added "Reset Exploration" developer option (same effect as the hide-map crate).
		Fixed the visibility of peripheral effects for spectators/replays (ranks, production bars, etc).
		Improved aircraft contrail rendering.
		Fixed issue with harvesters not undocking when a refinery is destroyed.
		Fixed civilian building rendering.
		Added in-game player statistics for spectators (RA and D2K only).
		Added "Fragile Alliances" option, allowing alliances to be changed during free-for-all games (RA and D2K only).
		Added a tooltip that shows provided and drained power (RA and D2K - C&C already had this)
		Improved ingame chat dialog (RA and D2K only).
	Red Alert:
		Added Mobile Gap Generator.
		Added Mobile Radar Jammer (jams radar and deflects enemy missiles).
		Added desert theater (ported from C&C plus additional custom tiles by Harrison).
		Removed Volkov.
		Added announcer voice upon game start.
		Civilians now panic when attacked.
		Added a new desert-themed shellmap inspired by C&C Generals.
		Added ice floe actors for use on snow maps.
		Several improvements to the original shellmap.
		New missions: Allies03, Allies04, Soviet01Classic, MonsterTankMadness, Survival01.
		New maps: Room Convergence, Ghost Town, Bad Neighbors.
		Improved maps: Chaos Canyon, Bomber John, Bombardment Islands.
		Fixed Mechanic repair cursor.
		Fixed graphics for craters for snow maps.
		Re-enabled "Mud" music track.
		Fixed supply track shadow.
		Added unit production hotkeys.
		Fixed Airfield tooltip.
		Changed minimap color of gems to blue.
		Gap Generator shroud now disappears on low-power/death.
		Added support for Nyerguds music upgrade pack.
		Fixed target line/flash for Demo Truck targets.
		Added building death frames for Construction Yard, Power Plants and Ore Refinery.
		Improved Ore Silo artwork (more fill states).
		Improved Weapon Factory door animation and prevented the door closing before units exited.
		Changed building placement color to black on snow maps for increased contrast.
		Fixed Attack Dog sound.
		Added duration indicators for units under Chronosphere and Iron Curtain effects.
		Fixed Tanya shooting buildings and using C4 on barrels.
		Fixed Chrono Tank being unable to crush infantry/sandbags or trigger mines.
		Balance changes:
			Base defense damage reduced against structures.
			Pillbox armor increased from wood to heavy.
			Construction Yard armor reduced/health increased.
			Construction Yard is now unsellable to prevent Mobile Construction Vehicle crate exploit.
			Superweapon health increased.
			Chrono Tank damage increased/health increased/Chrono-shift range limit added/Chronosphere prerequisite added.
			Demo Truck cost increased/health reduced/speed reduced.
			Disguised Spies are now hidden from enemy GPS.
			Added build limit to Missile Silo and Tanya.
			Oil derricks are now repairable by engineers.
			Minelayers can now detect mines, allowing other units to target and destroy them.
			Nukes can destroy ore wells and trees.
			Tesla Tank health increased.
			Medium Tank damage increased.
			Mammoth Tank turret rotation speed increased/damage increased.
			Badger bomber health increased.
			Cruiser speed increased.
			Missile Sub accuracy increased.
	C&C:
		Building range and a short construction delay added to Construction Yards to prevent base walking.
		Mobile SAM launcher given to Nod as dedicated mobile AA.
		Improved explosions.
		Corrected music.yaml track titles.
		Tweaked building construction animation speed.
		Improved cloak and building destruction sounds.
		Added blue tiberium trees.
		Fixed blue tiberium not poisoning infantry.
		Increased crate lifetime and removed level-up crate effect.
		Fixed infantry running animations.
		Fixed Viceroid unit decorations (veterancy/group number).
		Fixed tooltip flickering when moving the mouse.
		Fixed mouse-interaction bugs in the production palette.
		Improved tooltip names.
		Added maps: The Sentinel, Bialystok, No Escapism, Rock Canyon, Slippery Slopes, Skull Valley, Dead in Motion Redux, East vs West redux, Drop Zone, The Hourglass.
		Added EVA notification for nuclear missile launches.
		Husk lifetime reduced to 10 seconds.
		Obelisk is now automatically targeted by units.
		Balance:
			Harvester capacity increased.
			Advanced Comm-Center and Temple of Nod act as a substitute prerequisite of the Comm-Center.
			Reduced MCV crate probability to 80% to solve Construction Yard sell exploit.
			MCV can be constructed without a service depot.
			Construction Yard health reduced.
			Infantry detect nearby cloaked units.
			Infantry and vehicle speed on clear terrain increased.
			Airstrike regen reduced to three minutes.
			Comm-Center health reduced.
			Airfield health reduced.
			Helipad price reduced.
			Advanced Guard Tower range increased/health reduced/power consumption increased.
			Advanced Guard Tower missiles improved vs aircraft and vehicles/reduced vs infantry
			Obelisk range increased.
			Tank firing rate increased/damage vs light armor increased.
			Light Tank speed increased/turn rate increased/ROF increased/damage reduced.
			Turn speeds increased for most units.
			Recon Bike damage reduced/sight increased/speed increased on clear, reduced on road.
			Buggy health reduced/sight increased.
			Flamethrower range reduced/damage increased vs wood.
			Flame Tank significantly buffed.
			Chinook price reduced.
			Helicopter prerequisites changed to Comm-Center/Advanced Tech building.
			Apache sight increased.
			Orca ROF reduced/ammo increased/damage reduced/sight increased.
			Stealth Tank initial stance changed to "hold-fire."
			Increased sight range for Light Tank and APC.
			A10 sight range increased.
			Mammoth Tank speed increased/health increased/turret rotation increased/missile spread increased.
			Stealth Tank range reduced/cloak delay increased/damage vs heavy armor reduced.
			Turret and Guard Tower range increased.
			APC damage increased/speed reduced.
			Artillery range reduced/damage vs wood reduced.
			Rocket Infantry damage increased vs armor.
			Increased nuke and Ion Cannon damage vs heavy armor.
			Grenadier's grenade speed increased.
			SAM site pop-up speed increased.
			Humvee / Buggy damage increased.
			MLRS range reduced/ROF reduced/damage reduced.
			Recon Bike damage increased vs heavy armor/burst delay added/range reduced.
	Dune 2000:
		Removed shroud (uses fog-of-war instead). Buildings are hidden under the fog until they are first seen.
		Added Medic.
		Added Stealth Raider.
		Removed Deviator.
		Aircraft are now unbuildable.
		Fixed building positioning and selection boxes.
		Added husks for units and turrets.
		Added trails to shells and missiles.
		Fixed animations for Windtrap, Repair Pad, IX Research.
		Reduced "silos needed" warnings.
		Husk lifetime reduced to 20 seconds.
		Added large building radius to construction yard.
		Improved explosions.
		Crate probabilities adjusted.
		New UI button artwork.
		Added maps: Black Mesa, Black Mesa (large), Dune Boogie, Dune Boogie (large), Brimstone, Death Depths - Modded, Tuck's Sietch.
		Complete rebalancing from the ground up.
	Engine:
		Fixed several desync crashes.
		Fixed a crash involving keyboard shortcuts and dead units.
		Fixed a crash involving replays and multiple game sessions on a single machine.
		Fixed a rare loadscreen crash.
		Improved logging on game desync.
		Improved UPnP support via Mono.Nat.
		Improved freetype support via SharpFont (replaces custom patched Tao.Freetype).
		Improved dedicated server support.
		Improved mix file decryption (fixes a crash when playing the "Mud" audio track).
		Introduced a new coordinate model to simplify eventual TS/RA2 support.
		Initial work to port existing code to new coordinates model.
		Added a muzzle positioning debug visualization.
		Added a pathfinder debug visualization.
		Removed player-configurable range behind the scenes of the color picker. Fixes "radioactive" color exploit.
		Show an improved error message when connecting to a server with incompatible mods.
		Added automatic map downloads from content.open-ra.org when joining a server with an unknown map.
		Added support for randomized weapon reports.
		Improved loading times by removing unnecessary map indexing.
		Scripted maps can now require human players in specified slots.
		Allow mods to independently enable/disable shroud and fog of war.
		Minor pathfinding improvements.
		Other misc refactoring and code cleanup.
	Build system and packages:
		Added a `version` rule to the makefile for setting mod version strings on local development builds.
		Added a `docs` rule for generating trait documentation.
		Fixed permission errors in the .deb package.
		Support `--instdir` options for parallel installation of .deb packages.
		Added Desura compatibility for Linux.
	Map Editor and Tools:
		Added a toolstrip with new and improved tools.
		Added support for terrain categories.
		Fixed wrong palette remapping for neutral buildings.
		Maps are now saved/loaded from the custom maps directory.
		Fixed legacy map importer.
		Added a --docs flag for OpenRA.Utility for generating trait documentation.

20121019:
	Engine:
		Add --transpose option to Utility
		Allow --transpose to do multiple operations in one pass
		Added category headers in editor (RA temperate theme only)
		Added selection tool in editor for use with copy-pasting terrain
		Added tilesetbuilder2 and fixed it for Dune 2000
		Added tilesetbuilder command line
		Added tileset extractor
		Upgraded Visual Studio solution to 2010
		Tons of performance improvements
		Prevent too many instances of a single sound playing at once
		Order results from FindByTilesInCircle by distance
		Added new data types for cell and pixel coordinate pistion/vectors
		Fixed issue where port in direct connect was dumped to default by force
		Fixed pathfinding for units heading in opposite directions to prevent pathing deadlocks
		Fixed volume and scrollspeed being different from their saved scale at game start
	All Mods:
		Added basic dedicated server support
		Added UPnP support for multiplayer
		Added option to pause the game (F3 key)
		Added SimpleTeleport for non-chrono jumps for mission scripting
		Added WaitFor(predicate) for mission scripting
		Added support for mission objectives
		Added indicator to show who is admin of a lobby
		Added map size label to map chooser
		Added support to set up player required slots for maps
		Added hover behavior for all units. Give a unit a nonzero Altitude: in its Mobile: block and the WithShadow: trait to make it hover
		Allow building speed to be set by CustomSellValue trait
		Bots are forcefully removed from maps which do not allow them
		Ignore spectators for lobby readiness check
		Added CloakInfo.UncloakOnMove option
		Made UnloadCargo.unloadAll configurable, using all by default
		Support targetlines for defenses
		Setting for Capturable trait to waste engineer after capturing a building or not
		Fixed unloading of infantry from cargo vehicles to be spread out instead of one subcell
		Fixed crates not being picked up when dropped on a unit
		Fixed being able to repair when eliminated
		Fixed spectator chat not using contrast
		Fixed crash cycling stances while a unit dies
		Fixed crash spawning corpse for actor which has already been destroyed
		Fixed filtering of passengers to show with RenderCargo
		Fixed incorrect working "locks" when capture/sell building races happened
		Fixed radar click position
		Fixed shift-tab keyboard shortcut in build palette
		Added mouse-wheel support for flipping tabs in build palette
		Harvesters:
			No longer block each other during low-ore contention and wait for a random amount of time to search for more resources.
			Refineries show which harvesters are linked by holding down the ALT key.
			Fixed harvesters for AI to search the entire map when no more resources nearby
			Made search radius configurable for both initial search from refinery, and search from harvest location
			Harvesters will return to ordered-to location if told to harvest a specific cell while full after delivery instead of the last successfully harvested cell which may be far away
		Fixed notable issues when trying to play FMVs
	Red Alert:
		Added two missions - Allies01 (single player) and Allies02 (co op)
		Added new tiles for use in the Temperate theatre, made by Harrison
		Added new crashed helicopter SHPS
		Added Hospital & Bio Lab yaml definitions
		Reenabled PrimaryBuilding support for airfield and helipads
		Fixed chrono not killing passengers on return
		Fixed missing chrono effects on unit return
		Fixed tesla coil ignoring weapon offset
		Fixed some HackyAI issues, such as having a tank husk fetish
		Fixed some incorrect/missing music strings in music.yaml
		Fixed broken Install from CD code
		Fixed another zombie aircraft bug
		Fixed ReturnToBase causing a crash when you had no airfields available (but an ally did)
		Balance (General):
			Added a heal crate (heals all of your units on map, rare occurrence)
			Removed nuke crate
			Nuke was made a lot more powerful
			Nuclear explosions now destroy ore
			Repair cost for units is always at least 1 per tick
			Radar Dome cost increased from 1400 to 1600
			Service Depot cost increased from 1000 to 1200
			War Factory armor type changed from Heavy to Wood
			Sam Site/AA Guns will no longer shoot at crashing aircraft
			Barrel explosions are now more deadly, and chain explosions explode with a delay
			Churches made garrisonable by Sniper infantry
		Balance (Soviet):
			Added Sniper - cloaked infantry with HoldFire stance by default
			Added Volkov - elite unit meant to replace Tanya
			Added Demo Truck - armed with a lower damage nuke
			Mammoth Tank self heal now goes up to 80% health
			Mammoth Tank turret rotation was slowed down
			Mammoth Tank tusk rate of turn was doubled
			Tesla Tank cost lowered from 1500 to 1350
			Airfield armor changed from Heavy to Wood
			Airfield cost increased from 300 to 500
			Iron Curtain duration increased from 10 to 15 seconds, and can't use on enemy units
		Balance (Allies):
			Added Chronotank - tank that can "jump" within range of itself
			Tanya - Colt45 attack range increased from 5.75 to 7
			Transport Heli - Cost lowered from 1200 to 900, increased hp, increased cargo count to 8
			AA Gun cost increased from 600 to 800
			Helipad cost increased from 300 to 500
		Added map: Ice Woods (Tirili)
		Added map: Nishnekolymsk (Tirili)
		Added map: Bomber John (Holloweye)
		Added map: Bloody Delta (Holloweye)
		Added map: Room-Warzone (Sunny_S)
		Added map: Chaos Canyon (Nukem)
		Added map: Forest Path (Gnx)
		Updated map: Free Coasts (Ihptru)
		Replaced map Baywatch with Hasselhoff (Nukem/Zypres)
	C&C:
		Added A10 crash site SHP to terrain (via Nyerguds)
		Re-added the Snow tileset (via Nyerguds)
		Balance:
			Tank shells do 100% vs armor again, turret buffed
			MRLS issues fixed
		Sonic Tank moved to end of build menu
		Fixed structure build menu orders in general
		Fixed Biolab did providing Visceriod after being captured
		Fixed tooltips not showing on the build menu
		Do not shade possible build items in CNC if something else is building
	Dune 2000:
		Added Dune 2000!

20120603:
	Engine:
		General performance improvements
		Health.MaxHP is no longer read-only
		#Comments can be used at end of any lines in yaml files
		Better error messages for duplicate yaml fields
		Fixed RenderCargo support for relative altitude
	Both Mods:
		Add banlist setting (Server: Ban: IP1, IP2, IP3)
		Missiles lose guidance and run out of remaining fuel if the target dies
	Red Alert:
		Added setting to change CashTick sound frequency when producting structures
		Re-added camo pillbox for Allies to be garissonable and stealthed
		Change cargo ownership if capturing actors with cargo
		Fixed spy resetting exploration if infiltrated enemy had GPS
		Cannot capture building if yourself or ally is already capturing it
		Barrels are no longer capturable/sellable
		Minor AI improvements
	C&C:
		Exposed option to toggle shellmap
		MRLS cost increased to 1200
		APC gun damage increased
		Several building hitpoints increase/decreased
		Several units movement speed adjusted
		Landed helicopters made targetable by units
		Mammoth Tank has an 8 second cooldown before regenerating hp
		Add new Chemball explosion
		Re-ordered build menu
		Production hotkeys changed from YUIOP to QWERT
		Fix crash loading yaml for ArtilleryShell.ContrailLength

20120504:
	Engine:
		General performance improvements
		Added a setting to change sound engine, Sound:Engine: AL ("AL" uses OpenAL, "Null" gives no sound)
	Both Mods:
		Warn lobby when a client joins with DEV_VERSION
		Produced units attack-move to their rallypoint
		New CloakPaletteEffect trait to add shimmer effect to cloaked units
		Cargo trait allows for initial passengers when units are built
		Buildings now take 10 seconds to be captured
		Capture time length is adjustable
		Custom starting units can be used for each faction
		Main menu no longer vanishes after a lobby disconnect
		Fixed crash selling/capturing buildings simultaneously
		Fixed crash in StartGame if there were unvalidated connections
		Improved error messages given with bad MiniYaml indentations
	Red Alert:
		Added Spy to Allies
			Infiltrates refinery to steal 50% of players cash, minimum $500
			Infiltrates radar dome to reset exploration for enemy team
			Can assassinate enemy units with force-fire
		Added Gap Generator to Allies
		Tanya made exclusive to Allies
		Artillery explode chance lowered to 75%
		Flamethrower has new flame art
		Pillbox includes a garrisoned riflemen when built, and other infantry can garrison the structure
		Camo pillbox removed
		Normal AI removed
		New AI: Rommel and Zhukov
			Rommel is a modified Hard AI focusing on artillery and V2, and few light vehicles
			Zhukov is a turtle, but sends large attacks with artillery and V2
		Added map: Tainted Peak (Nukem)
		Removed maps: Daejeon, Mjolnir, No Fly Zone
		Fixed bug letting passengers shoot from transports
	C&C:
		A10s speed increased, Napalm Drop damage increased
		Chinooks now carry up to 10 passengers
		Sight of all infantry increased by 1
		Chem Warrior/Flamethrower/Grenadier damage vs certain armor types increased
		Chem Warrior will walk through tiberium instead of pathing around it
		Artillery attack range doubled
		Guard Tower attack range decreased by 1
		MCV and Construction Yard sight increased
		Construction Yard armor type changed to Heavy from Wood
		Harvester armor type changed to Heavy from Light
		Proability of SpawnVisceriod from 10% to 2%
		Reduced damage and size of Grenadier death explosions
		Units do not attack buildings when attack-moving or idle, exception made for defensive structures
		Lots of AI changes
		Removed nuke crate, hide-map crate
		Fixed crash viewing replays
		Fixed radar not being shown during replay

20120315:
	Engine:
		General performance improvements
		Added setting for direct connection on game launch (Game:ConnectTo: ip:port)
		Added setting to limit framerate via startup argument (Graphics:CapFrameRate: false)
		Added owner chooser for new actors in the editor
		Added actor info panel in the editor (doubleclick)
		Fixed minimap export breaking subsequent actions in the editor
		Fixed writing of empty replays
		Fixed issue with LaserZap widths (obelisk shots)
	Both Mods:
		Always allow buildings to be repaired (removed dependency on Construction Yard)
		Added a new Defend stance for units
		Added base under attack notification
		Spacebar focuses viewport to last under attack notification
		Ctrl-Shift-Numkey groups units into existing group
		Helicopters now bob slightly in flight
		Bots:
			Repair their own buildings
			Maintain a level of aggro on enemy units
			Moved some bot configuration into system.yaml
			Fixed being unable to set rallypoints for production buildings
		Replaced the server browser with a new and awesome one
		Server lobbies upon creation use the previously played map
		Made SpawnMPUnits' initial unit configurable
		Fixed infantry squish sounds not being positioned
		Fixed actor priority not being correct for doubleclick
		Fixed poor stance switching detection
		Semi-fixed naval units repairing from anywhere on map
	Red Alert:
		Fixed crash which occurred when playing an online game with Hard AI
		Fixed planes stacking more than 1 per airfield
		Fixed planes being unable to rearm at airfield
		Improved logic for sending planes and helicopters back to base
		Fixed infantry not able to walk over anti-tank mines, and vice versa
		Fixed pointless reload of shellmap when disconnecting from lobby
		Added a setting to toggle shellmap
		Changed team color chooser to match C&C's
		Balance:
			MiG fires in bursts of 2 instead of 4, and damage per missile increased
			Longbow fires in bursts of 2 instead of 1
			Submarines are set to HoldFire stance by default
			Mammoth Tank hp regeneration altered - 25hp per second, after 10 seconds since last unit damage
			Tesla Tank cost decreased and armor increased
			Flamethrower now only requires Flame Turret to be built
			Minelayer (Anti-Tank) mine count reduced from 5 to 3
		New Map: Bombardment Islands (Sprog)
		New Map: Engagement (Nukem)
		New Map: Man to Man (Nukem)
		New Map: Breaking Point (Nukem)
		New Map: Asymetric Battle (Seru)
		New Map: Temperal (Blarget2)
		New Map: Ares National Park (Wuschel)
		New Map: Poseidon (Wuschel)
		New Map: Apollo (Wuschel)
		Removed Maps: Paramount, Pandemonium, Bavarian Redux
	C&C:
		Changed the bot spawn chooser to match RA's
		Reduced delay of tooltips
		Fixed a lobby crash when players joined
		Balance:
			Stealth Tanks are set to HoldFire stance by default

20111013:
	Engine:
		Fixed broken client IDs if players drop before the game starts
		Converted FileExtractor into --extract cmdlet for Utility.
		Added --transparent option to --png cmdlet in Utility.
		Fixed shortcut description on Linux
		Fixed launcher crashes on Mac
		Removed obsolete SequenceEditor tool
		Added --tmp-png cmdlet in Utility, to convert terrain to PNG.
	Both Mods:
		Allow building repair by allies
		Use player color to show who is repairing a building
		Only units/structures being built or queued are shaded in the production palette
		Aircraft smoke is no longer visible under fog
		Added a Show Grid option to the Map Editor
		Added multitap support - double clicking a unit selects all units of the same type on screen
		Changed map choosers to be a filterable grid of maps
		Added internal machinery for IFV-style units
	Red Alert:
		Added naval transport
		Added an indicator over powered down buildings
		Aircraft crashing into water now use large_splash
		Destroyer now requires Radar Dome
		Increased cost of Shipyard and Sub Pen
		Fixed a crash when sending aircraft back to base
		Husks no longer interfere with selection
		Added more options for bots in game lobby
		Changed AI behavior -- now has Easy/Normal/Hard difficulty
		Increased range of FTUR by 1
		Reduced cost of MEDI from 500 to 300
		Reduced cost of SHOK from 800 to 500
		Heavy vehicles (Tanks, Harvesters, MCV) now crush infantry
		New map: Classic DropZone (Holloweye)
		New map: DropZone Battle of Tikiaki (Knivesron)
		New map: DropZone W (Riderr3)
		New map: Seven Stairs (Tirili)
		New map: Contact (Nukem)
		New map: Encounter (Nukem)
		New map: Mass Confliction (Nukem)
		New map: Calm before the Storm (Nukem)
		New map: Baywatch (Nukem)
		New map: Winter Warzone (Nukem)
		New map: Paramount (Nukem)
		New map: Doubles (Nukem)
		New map: Hectic (Nukem)
		New map: Pandemonium (Nukem)
		New map: Chokepoint (Nukem)
		New map: HotZone (Nukem)
		New map: No Fly Zone (RAGEQUIT)
		New map: Strip Mine (RAGEQUIT)
		New map: Doughnut Hole (RAGEQUIT)
		New map: Vegetation (hamb/Chris Forbes)
		New map: Arctic Triangle Affair (Bellator)
		New map: Mad Scramble (Bellator)
		New map: Free Coasts (Ihptru)
		New map: Battle Lake (Bellator)
	C&C:
		Slightly increased Tiberium growth rate
		Increased harvester unload time
		Reduced Tiberium value by 20%
		Changed FTNK armor type to Light
		Fixed tank squish animations to show properly
		New map: Tiberium Oasis (Bellator)

20110906:
	Engine:
		Fixed compile failures under Windows
		Improved platform detection
		Modding support for custom fonts
		Video memory leaks fixed
		Improved error messages for unsupported graphics cards
		Improved support for Intel graphics cards
		Fixed incorrect resolution under some Linux systems
		Write graphics.log on all graphics-related errors
		Significant general performance improvements
		Fix crashes when joining a game with no free player slots
		Bots players are named after their AI type and pick better random colors
		Map support for enforcing team and spawn choice
		Fix resource-clearing weapons breaking custom terrain types (bridges)
		Added a "Pixel double" mode to draw the world at 2x zoom.
		Fixed broken mounting of map packages
		Fixed crashes when loading broken maps
		Fixed units being left alive but stranded on destroyed bridges
		Fixed husks being created on water
		Fixed AttackMove trying to send orders to units owned by others
		Made LaserZap more flexible for modders
	Both C&C and Red Alert:
		Fixed desync when a player surrenders
		Fixed installing from CD
		Added Hotkey support:
			escape to toggle ingame menu
			escape to go up a level in menus / cancel prompts
			return to confirm prompts
		Changed shortcut for adding units to groups changed from ctrl->cmd on OSX to avoid conflicting with Spaces
		Fixed Tooltips for spectators
		Fixed cashticks when selling walls
		Fixed show explosions when walls are sold
		Fixed veteran units not repairing correctly at service depots
		Fixed Rally-point color when a building is captured
		Fixed selection box dragging behind ui elements
		Added Mod support for passengers that take multiple slots
		Added Mod support for custom tesla zap effects
		Fixed desync when a support aircraft is killed after completing its task
		Fixed bugs with selling refineries
		Fixed superweapons being fired from disabled structures when multiple are available
		Added "Mission Accomplished" / "Mission Failed" notifications when you win or lose a multiplayer game
		Fixed husks jumping to the middle of a cell when a unit dies
		Fixed decloak sound never being used
		Improved HackyAI power management
	C&C:
		Completely overhauled UI
		Added support for installing from original game disks
		Added support for installing music from original game disks
		Added support for Covert Ops music tracks
		Added Skirmish mode (creates a local game against bots)
		Added Configurable bot race/team/spawns
		Fixed Rocket Launcher turret raising/lowering when attacking
		Added muzzle flashes to Guard Tower / SAM site
		Fixed firing offsets on all units and structures
		Fixed Ion Cannon cursor
		Fixed Apache artwork
		Fixed uncapturable oil derricks
		Added capturable Biolab tech structure: allows you build viceroids
		All vehicles leave husks on death
		Server/Skirmish creation selects the last played map by default
		New animations for cloak and reveal map crates (from C&C Sole Survivor)
		Added 8 new maps by Petrenko
		Tweaked most existing maps
		Removed East vs West 2 map
		Fixed Harvester/Refinery docking animation beneath the fog of war
		Improved Obelisk laser effect
		Added a blue pip for harvested blue tiberium
		Changed the Refinery tower lights to indicate the amount of stored tiberium
		Fixed an exploit with Nod airfields on the right side of the map
		Fixed bot color being saved as player color in lobby
		Balance changes:
			Refinery footprint changed, price decreased to $1500
			Flame tank explodes on death, damage reduced by 40%
			Stealth Tank damage increased, speed decreased
			Rocket Launcher now fires 6 rockets, loses AA
			Orca / Apache weapons reworked. Both now have limited volleys, but reload in the air. Both can attack other air units
			APC weapons reworked. Now has a turret, but can attack air units only
			Artillery given back to Nod
			SSM launcher removed from Nod
			Concrete walls require vehicle production to build
			MCV, Harvester, Engineer can no longer level up (via crates)
			MCV can no longer receive Cloak crates
			Advanced Guard Tower range increased
			SAM Site range decreased
			Bridge HP halved
			Infantry tiberium avoidance factor increased by 5x
			Decrease tiberium damage to infantry
			Rebalanced tiberium value / harvester capacity / harvesting speed
			Reduced Grenadier death damage
			Mammoth tank regen rate halved, Missile reload rate decreased
			Building repair speed, price doubled
			Recon Bike damage increased 16%
			Infantry can be crushed by tanks
			Removed build area radius around tech structures
	Red Alert:
		Fixed firing offsets on Flame trooper / Tesla trooper / Telsa tank / Tesla coil / Flame turret
		Fixed bounties using incorrect unit value
		Fixed parachute offsets
		Added muzzle flashes to Pillbox / Camo Pillbox / SAM Site
		Fixed map reveal when an ally is granted GPS
		Added 16 new maps by buddha, hamb, seru
		Fixed bounties of $0 displaying
		Removed 3 obsolete maps
		Fixed Minelayers not entering the Service Depot properly
		Fixed Hind, Yak weapons being blocked by walls
		Fixed phantom radar bin on subsequent games
		Added new Oil Derrick artwork
		Added support for Counterstrike & Aftermath music tracks
		Added player color to diplomacy panel
		Added capturable oil refinery tech structure
		Added new harvester artwork for half-empty/empty states
		Added new MCV husk artwork
		Fixed spy disguise not working
		Fixed hellfire missiles splashing back against helicopters
		Fixed animation speed for Grenadier idle animations
		Removed Lock Teams option
		Fixed cursor while dragging selection box
		Fixed accidental order issuing while dragging selection box
		Fixed lobby "kick" buttons
		Balance changes:
			Medic cost reduced to $500
			Mines are visible to friendlies and spectators
			Friendly units don't trigger mines
			Increased reload rate for aircraft
			Missile sub submerge delay doubled, damage decreased by 25%
			Longbow now requires Allied Tech Center
			Reduced wall health
			Increased cruiser accuracy
			Increased Longbow missile speed by 50%
			Increased SAM Site rate of fire
	Utility:
		Fixed --png mode for converting shp -> png
	Editor:
		Fixed actor rendering on OSX / Linux
		Fixed crash relating to incorrect mix file location

20110511:
	Engine:
		Fix hotkeys firing on both key down and key up
		Allow C4 delay to be configurable
		Text field support for home and end keys
		Fix world actor being owned by Creeps player (causing Neutral to be hostile) on new maps
		Include gpu vendor string in graphics.log for unsupported cards
		Fix crash with some aud files
		Fix a rare crash when a repairing building is killed
		Improvements to HackyAI
		Generalize capture logic to work for any actor types
		Support RA2-style missile trails
		Fix helicopters failing to attack targets in some situations
		Fix 'exploit detected' when using hotkeys on another players units
		Relinquish spawn point in the game lobby when entering a spectator slot
		Fix maps with >8 spawnpoints in the game lobby
		Yaml loader crashes correctly when trying to inherit from a nonexistant actor
		Yaml loader crashes correctly when trying to remove a nonexistant trait
		Modding support for multiple player palettes
		Fix several crashes when installing packages
		Many other general engine improvements
	C&C:
		Fix Viceroid target-scan radius
		Fix map-placed SAM-sites not being able to attack
		Commando voice clip when built
		Commando voice clip after kills
	RA:
		New unit: Supply truck for donating funds to another player
		Pilots (sometimes) parachute from shot down planes
		Bounties on killed units
		Use RA2 style missile trails
		New GPS logic
		New map: Pressure by seru
	Packaging:
		Utility writes a log to support dir when crashing
		Support for Ubuntu 11.04
		Fix osx crash when run from a path with spaces

20110320
	Engine:
		Display range circles when placing defenses
		Support a hostile creeps player for viceroids / dinosaurs / ants / etc
		General refactoring and performance fixes
		Stop/Scatter/Deploy orders give audio feedback
		"Allow cheats" option moved into the game lobby, visible to all players
		"Build anywhere" developer mode option
		Improved pathfinding when collecting crates or crushing walls.
		Refactor idle / prone infantry animations
		Improve missile trail effects
		Actors without health are not considered as dead
		Health bars show recent damage as it is inflicted
		Production structures and special powers show selection bars showing progress
		Mouseover units to display healthbars etc
		Fix shroud glitch when units exit transports
		Fix bots jamming up their production structures
		Direct connect will assume port 1234 if none is given
		Chrome image mapping definitions changed from xml to yaml
		Water explosion animations are not used for airborne explosions over water
		Fix rendering of very large maps
		Report GPU memory usage to debug.log
		Massive improvements in repeated allocation / deallocation of memory
		Fixed a desync with repairing buildings
		Fixed a desync with aircraft (it now crashes deterministically instead)
		Fixed a desync with KOTH maps
		Fixed a bug where a slot is shown as closed when it contains a bot
		Fix crash when spawning map actors owned by a nonexisting player
		Fix crash when changing mod while playing music
		Fix crash with perf graph
		Fix crash in replay viewer if replays directory doesn't exist
		Fix crash when selling civilian buildings
		Fix crashes caused by blank game title / direct connect server textfields
		Oil derricks, harvester unloading, selling structures shows cash indicator
		Prerequisites system refactoring to allow non-building prerequisites
		Fix shift+tab not cycling the build tabs
		Fix bogus keyboard input in text fields
		Don't change mods if the same one is selected in the dropdown
		Support for remapping the control group addition modifier (ctrl) to any modifier key
		Fix helicopters flying 1 cell off the right or bottom of the map
	C&C:
		Viceroids! Infantry killed by tiberium or chem warriors may turn into viceroids
		Fixed death animations
		Blue tiberium damages infantry
		Map-placed SAM sites start closed
		Engineers capturing enemy buildings gives enemy tech
		Buildings emit minigunners and engineers when sold (no more technicians / civilians)
		Civilians panic when attacked
		Fix a rare crash with harvester docking
		Fix a rare crash with stealth tank
		New Map: East vs West 3 by pchote
		Removed Maps: Wargames, Yellowstone II
		Oil Derricks have a small sight range
		Apaches have a muzzleflash
	
	RA:
		Service depots repair units faster
		Fix crash when telling a minelayer to create an empty minefield
		Fixed interior tileset boxes
		New Map: Styrian Mountains by ReFlex
		New Map: Convergence by Arcturus
		Updated Map: Seaside by nudalz
		Longbow ammo increased from 6 to 8, description fixed
		Hind cost decreased from 1500 to 1000, hp increased from 100 to 150, range decreased from 12 to 10
		Service depot cost increased to from 700 to 1000
		Radar dome cost increased from 1000 to 1400
		Artillery now requires war factor and radar dome, inaccuracy decreased from 80 to 40
		APC moved from Allies to Soviets, hp increased from 200 to 300, price increased from 800 to 850
		Medium / Heavy / Mammoth tanks now require service depot to build
		Heavy tank cost reduced from 1200 to 1150
		Flame turret rate of fire increased from 45 to 65, fires 2 bursts
		AA guns, flak trucks can now fire over walls
		Jeeps can carry a single passenger
		Base defenses no longer provide ground control
		Vehicle speed on clear ground increased, speed on ore reduced
		Grenadiers have a 50% chance of exploding when killed
		Spys are ignored by enemy units when disguised, tooltips show as disguised unit
		Fix crates being paradropped inside trees, buildings
		Production hotkey for flame turret changed to t, tesla coil to u
		Disguised spys now appear correctly on radar and tooltips
		Fix GPS behavior when alliances change.
		Aircraft now fly to a target location and circle instead of returning to base
		Aircraft no longer fly off the map if their Airfield is destroyed
	Editor:
		New map format (version 5). Maps < Version 4 are no longer supported by the editor or game.
		Waypoints and MP start locations are now actors
		Importing C&C/RA maps fixed
		New png loader to support future tools
		Editor uses the correct icon under mono
		Editor only saves non-default values for PlayerReferences in map files
		Default player colours has been returned to neutral grey.
		Maps can be loaded from the commandline
		Option to show actor names
		Support for veteran / elite actors to be defined in the map yaml
	Packaging:
		Rename .deb package to use debian naming conventions
		Improve linux package installation / elevation prompts (uses zenity, require mono >= 2.6.7)
		Fix package installation crash on windows xp
		Windowed mode now launches in the center of the screen under Windows

20110207
	Engine:
		Informative drop messages - user is notified of kick vs game has started vs server unavailable
		Fixed render errors with the build palette on the first game tick
		Improved sync check performance
		Shp writing capabilities for mod tools
		Fixed desync due to floating point calculations in unit facing
		Fixed idle animations
		Removed launchers on all platforms
		Asset download/install is now performed ingame
		Mod selector is now available from the main menu
		Fixed `lock teams' checkbox
		Lots of misc. engine refactoring
		Fixed exploit allowing stance changes when teams are locked
		Fix crash when capturing last enemy silo
		Fix units continuing to attack a building after it has been captured
		Fix floating point issues with missiles (manifests as broken torpedos in ra)
		Fix location calculation for flying units (manifests as invincible helicopters in cnc)
		Infantry stack 5-to-a-cell like the original games
		Craters and scorches smoke for a limited time
		Added a scatter key (bound to `x')
	C&C:
		Fixed commando c4
		Fixed Airfield production notification ("Reinforcements have arrived")
		Fixed palette bugs with Oil Derricks and walls
		Fixed tech tree bugs after capturing enemy productions structures
		"Repairing" eva
		Proper "pop up" SAM sites. Closed SAMs receive a 50% armor bonus.
		SAM sites require power to operate
		Advanced Guard Tower requires power to operate
		Support structures no longer grant build radius
		Lower Barracks/Hand health
		Increase Weapons Factory health
		Increase rocket bike damage
		New Map: Crossing the Rubicon (Arcturus)
	RA:
		Game assets can be installed from one of the Red Alert cds
		"Repairing" eva
		GPS is now shared between allies
		Submarines are no longer visible to everyone
		Fixed paradrop flare, spyplane from capturing KOTH points
		New Map: Nuclear Winter (nudalz)
		New Map: Seaside (nudalz)
	Editor:
		Ability to switch mods after launch
		Refactor hardcoded tools into a generic interface

20110109
	Launchers:
		New GTK based launcher for linux.
		Mod version, version check, and MOTD moved from the main menu into the launchers.
		Fixes for non-standard mono installations under OSX.
		Fixes for filepaths with spaces under OSX.
	Map Editor / Maps:
		Fixed crash when using floodfill.
		New map format (version 4). Open and resave maps with the editor to upgrade them.
		Added support for compressed (.oramap or .zip) maps.
		Removed .uid files from maps -- compute the hash on demand now.
	General:
		Mod versions are checked when joining a server. Clients with a different game version / wrong mods will not be able to join.
		Added 'Stop' command on 'S'.
		Stop units from autotargeting walls.
		Added different pip colour for gems vs ore.
		Fixed several exploits in support powers.
		Continue to show selected units when firing special powers.
		Fixed palette effects (nuke, chronoshift) being applied to fog / shroud.
		Added a replay viewer.
		Fixed building previews being rendered below bridges.
		Forced the AI to leave gaps between its buildings.
		Fixed captured buildings still drawing power from the original owner.
		Fixed various crashes in the editor when trying to make a new map.
		Support multiple bot types; added another bot difficulty.
		Removed option to not save syncreports.
		Fixed desync related to aircraft.
		Fixed sync not being checked on World traits.
		Pick a random available door on production structures with more than one (barracks, subpens, etc).
		Fixed some rare Harvester-related crashes.
		Added labels to the perf graph.
		Locked teams by default.
		Fixed "No games found" not being displayed when there was an in-progress (hidden) game detected.
		Added support for multiple shellmaps. Chooses randomly.
		Fixed dropdowns possibly getting stuck open when the host force-starts the game.
		Improved scrollpanels - added scrollbars and mousewheel support.
		Fixed potential desyncs in building refund calculation and unit repair.
		Added black outline to text drawn over the world, so it can be seen in all cases.
		Many performance improvements.
	C&C:
		Fixed footprint of ATWR.
		Improved harvester docking.
		Made Oil Derricks capturable.
		Fixed nuke detonation sound.
	RA:
		Fixed Tanya not having the correct pip color.
		Fixed helicopters spawning in the wrong place.
		Fixed Spy-related crashes when disguising as civilians.
		Allow using C4 on friendly buildings.
		Improved harvester docking.
		Added proper shareable/revokable GPS.
		Nerf 1tnk hard.
		Increase cost of 2tnk slightly, but increase its HP too.
		Require power to operate SAM sites.
		Fixed missing tooltips for SHOK and TTNK.
		Fixed chronoshift power requiring two clicks to cancel.
		Fixed desync related to chronoshift.
		Fixed bogus bottom-left spawnpoint on Central Conflict.
		Production tabs with an item ready now light up yellow.
		Fixed crash when a WEAP is half-destroyed before it finishes deploying.

20101202
	General:
		New launcher for Windows and OS X (Linux coming in a later release) for downloading and installing mods, and launching the game.
		Disable Surrender button when you win or lose.
		Fix Minimap orders outside viewport.
		Render building previews when placing a structure.
		Buttons offset their contents when pressed.
		Dropdown listboxes in the game lobby and diplomacy panel.
		Allow moving the cursor and editing anywhere in textfields.
		Don't render things outside the map.
		Render selection boxes / health bars, target lines above everything else
		Show "cannot move here" cursor when mousing over invalid terrain under the fog, or outside the map.
		Remove move flashes (they are obsoleted by target lines).
		Buildings are always visible under fog.
		Captured refineries no longer give cash to the original owner.
		New rally point artwork.
		Fix broken airstrike / parabomb special powers.
		Fix diplomacy cycling shroud exploit.
		Change the .rpm package to target Fedora.
		Fixed idle animations
	RA:
		Added "A Path Beyond" map
		Fix crash when selling iron curtained buildings.
		Don't stack multiple Invuln render effect on an actor.
		Fix exploit in Iron Curtain, Chronosphere, Nuke.
		Fix paradrop flare remaining forever if drop plane is killed.
		Area of effect Iron Curtain.
		Area of effect Chronoshift.
		Remove sandbag in water of "Equal Opportunity" map.
		Allow chronoshifted and paradropped units to collect crates.
		Fixed medic crash.
		Removed end of game crash.
		Fix dog attack.
		Missile silo requires power but can be powered down.
		Fix shellmap low power and invalid gap generator position.
		Removed Naval Transport until it's cargo capabilities are fixed
	CNC:
		Fix exploit in Ion Cannon, Nuke.
		Add some basic scripting to the shellmap.
		Fix invulnerable stealth tanks.
		Oil derricks spurt fire when killed.
		New load screen (unfinished).
		Fix observers.
		Helicopters automatically target enemy units
	Engine:
		Refactored Orders to use less network bandwidth and remove duplication.
		Dump available extensions to graphics.log when GL Renderer fails to init.
		Fix Makefile constantly rebuilding, and refactor for readability.
		Display soft shroud around edge of map instead of hard border.
		Standardise engine naming of Theatre -> Tileset.
		Refactor map size queries to all use Map.Bounds.
		Move all widget delegate into the RA mod dll.
		Renamed ListBoxWidget -> ScrollPanelWidget.
		Fix ScrollPanelWidget scrolling beyond the start by 1 velocity tick.
		Removed duplication from target lines.
		Extensive refactoring of shroud.
		Refactor Scale trait to a property on Render*.
		Refactor idle behavior

20101121-2
	Bug fixes:
		Fixed Tesla causing an out of memory exception
		Fixed Tesla animations.
		All players can now see AI players in lobby.
		Weapon factory sell animation now plays correctly.
		Utility app now extracts downloaded content packages properly.
		Fixed helicopters landing in silly places.
	New Features:
		New default renderer using GLSL instead of CG. Removes the dependency on the CG toolkit and fixes issues with Radeon graphics cards using latest drivers.
		Order queuing with <shift>
		Unlimited power option in dev mode.
		New King of the Hill game mode with two maps: Crossroads and Island Hoppers
		Smoke trails for damaged aircraft.

20101107
	Fix Engineer/Tanya/etc refusing to enter buildings in 2010-11-06.

20101106
	Bug Fixes:
		Fix crash when hosting a second game.
		Fixed exploit where you could place a building anywhere.
		Fix aircraft, infantry becoming invincible in some circumstances.
		Fix a common aircraft desync.
		Unmuted the shellmap; it's now at 25% volume.
	Balance Changes:
		reduce cooldown on Chronosphere to 2 minutes (was 4 minutes)
		reduce cooldown on Iron Curtain to 2 minutes (was 6 minutes)
		reduce invulnerable time on Iron Curtain the 30 seconds (was 45 seconds)
		reduce anti-ground damage of rocket soldier to 50 (was 60) and anti-air damage to 40 (was 50)
		
20101025
	Fix crash in C&C when harvesters return to the refinery (sorry guys)
	Fix crash in both mods when transports unload
	Fix ore/tiberium growth not working correctly
	Fix graphical glitches on screenshake, etc
	Add contrails to RA planes
	Added plane crashes in RA
	Added explosions on impact for all RA aircraft
	Added more scripting to the RA shellmap
	Fix Tesla not doing the correct amount of damage
	Lots of internal cleanup

20101023
	New C&C Maps:
		Into the River Below (6p)
		Algernon (4p)
		Wargames (4p)
		Yellowstone II (4p)
	Bug Fixes:
		Client disconnects no longer "double-quit".
		Units can no longer move over certain water tiles.
		Checks for destroyed actors to ensure they don't try to perform actions after death.
		Loose files in mod folders take priority over ones in .mix packages.
		Fixes for syncing in replays.
		Fix Iron Curtain.
		Fixes for units entering a building from the east or south
		MOTD no longer spits out garbage when behind a proxy needing web authentication.
	RA Balance Tweaks:
		Airfield cost reduced from 1100 to 300
		Yak cost increased from 800 to 1000
		Mig cost increased from 1200 to 2000
		Helipad cost reduced from 1500 to 300
		Longbow cost increased from 1200 to 2000
		Hind cost increased from 1200 to 1500
		Anti-air gun range increased from 6 to 10, spread increased from 3 to 5
		Flack truck range increased from 6 to 8, spread increased from 3 to 5

20101017
	Fix crash when repair indicator was visible, but the building got destroyed or sold
	Fix crash if an actor got destroyed twice (blown up & sold, etc)
	Fix putting units back in BADR and C17.
	Fix C&C crates being invisible
	Fix bogus overlapping of MINE with ore trucks
	Add MCV, napalm, nuke crates to C&C.
	Fix "(dead)" tags in chat
	Mute shellmap combat
	Fix FMV player
	Fix bug in voice system which made it impossible to add extra sides (thanks raminator)
	Fixed bogus Missile Silo cameo from RA
	Fixed engineer goldwrench cursors being reversed
	Add support for actors that give the owner a small flow of cash (to be used with Oil Derricks)
	Make teamchat toggle more flexible
	Fix cloakable units being untargetable while uncloaked (thanks pdovy)
	Fix crash when clicking `repair` with no MCV
	Fix unit crates spawning in inappropriate places
	Updated 'The Sentinel' map
	Add base cycling (backspace) in C&C (it previously worked only in RA)
	Fix planes getting stuck on the edge of the map
	Fix explosions in air being drawn at ground level
	Allow map slots to disallow bots
	Allow map slots to enforce race/color selection
	Replace C&C LST art (thanks, KatzSmile)
	Push HackyAI setup into system.yaml, fix HackyAI for C&C
	Reduce effectiveness of RA GUN vs unarmored
	Improved mod content download infrastructure for Linux
	Nerf C&C Orca slightly
	Nerf speed of C&C bggy/jeep/bike/apc
	Add new C&C 1v1 map: 'Chokepoint' (thanks Tiberian)
	Reduce bandwidth usage in multiplayer (1/2)
	Fix version string showing up twice in bottom-right corner after a game
	Buff arty damage slightly
	Nerf V2 reload slightly
	Add trails to C&C SAM missiles
	Increase speed of most C&C AA missiles
	Reduce power requirement for RA AFLD from 50 to 20

20101013
	Fix crash when ordering a helicopter to move while it was falling out of the sky
	Add blue tiberium
	Fix aircraft not showing up on radar
	Fix canceling of production not quite working (would cancel 2 if one was half-built)
	Fix base-cycling for mac
	Fix leaks between shellmap world and ingame world
	Fix crash when the network connection is lost
	Run the shellmap behind the lobby
	Fix host not being able to teamchat
	Declaring war automatically breaks the alliance in both directions
	Aircraft can attack from their airfields correctly now
	Attack move added ('A' and then left-click)
	Add Tiberian's 'The Sentinel' 1v1 C&C map
	Show the server name in the lobby dialog title
	Random actually means random
	Fix crash when destroying a Refinery with docked harvester
	Add pchote's 'Tundra' 1v1 C&C SNOW! map
	Lots of internal engine improvements

20101009
	Fix 64bit Linux compatibility
	Nerf C&C Attack Bike
	Show mod info in server browser
	Show MOTD in the main menu
	Fixed exploit with selling walls
	Fixed auto-attack not working properly
	Add an example mod, which adds a single unit to RA.
	Fix dogs eating walls
	Fix crash on destroying ore storage buildings
	Fix Obelisk missing moving target
	Ban cloak crates for infantry
	Add nuke "bad" crate
	Prevent aircraft from firing while landed
	Reduce nuke charge time from 13min to 9min
	Reduce parabombs charge time to 1min
	Add support for minimum ranges on weapons
	Add support for excluding specific actor types from picking up certain crates
	FIx silent nukes in RA if they didn't hit a building
	Fix all AI players getting the same color
	Fix AI players getting the same team setting as the host
	Fix AI attacking each other
	Prevent most awful-looking colors
	Remove most of the debug spam for aircraft
	Increase construction yard health (50% in RA, 25% in CNC)
	AI players now build defenses
	AI players no longer attack with medics (e1/e2/e3/1tnk/2tnk/3tnk)
	Much improved order targeting system
	Add crash animations for helicopters
	Nerf Hind chainguns
	Reduce cost of Cruisers from 3.2k to 2.4k
	Fix CNC airdrop planes getting stuck if the Airfield goes away
	Fix phantom voices for dead units in control groups
	Fix dogs sometimes not killing infantry
	Fix scroll jumping if opposite scroll inputs were applied
	Fix bogus targeting lines being drawn to 0,0 sometimes
	Fix VS2010 compatibility
	Fix the game getting screwed up when people leave

20101002
	Fix various crashes
	Fix CNC AI never building anything (it's still crap, but at least it does *something*)
	Added shader fallbacks for Cg-2.1
	Fix editor crashing on File->Open on Windows
	Added scroll speed control (thanks, Gecko)

20100922 through 20100922-4
	Allow queuing of buildings when a building is ready to place
	Change the pathfinder to use integers instead of floating point (fixes desync)
	Create ui widgets on demand instead of at gamestart
	Begin refactoring activity queuing for cleaner code
	Re-enable crates
	Remove desync debug logging
	Fix editor crash
	Fix crash when a building being repaired is killed

20100921 through 20100921-6
	Add yet more logging to search for the packaged build desync

20100920 through 20100920-7
	Fix crash when building cnc weapons factory
	Fix crash when harvester and refinery are killed by the same bullet (eg nuke)
	Move several traits from engine into ra mod
	Fix several editor bugs
	Add a lot more logging to search for the packaged build desync

20100919-2
	Fix crash when un/deploying a damaged mcv

20100919
	Cache the power state of buildings for large performance gains
	Changes to sync logging for large performance gains
	Changes to shroud and ore rendering for large performace gains
	Changes to renderer to fix several z-order bugs
	Fix osx version string
	Rename Repeat -> Loop in the music player
	Fix team selection in the game lobby
	Don't change production tab when selecting enemy structures

20100918-2 through 20100918-4
	Fix crashes in the map editor
	Include menu and desktop shortcuts to the RPM package
	Add debugging to track down a desync between packaged versions on .net vs packaged versions on mono

20100918
	Fixed lots of crashes
	AI only tries to attack players that exist (and not itself)
	Fixed speed of idle animations
	Fixed exploit with A10 (infinite napalm)
	Fixed exploits with remote building capturing/destroying
	Added ability to change tilesize per-mod
	Fixed delivering ore to an ally's proc
	Fixed dog attacking ground forever (banned)
	Fixed most z-order bugs
	Fixed lots of editor usability problems
	Fixed bogus XML generated by TSB
	Added notification when cheats are used
	Fixed exploit with reverse enter-transport order (didn't check if the passenger was compatible)
	Fixed a bunch of techtree bugs
	Fixed walkability of north rivermouth template in RA.
	Added ability to export minimap as PNG from the editor

20100914
	Infantry idle sequences for ra mod
	Enable music player by default (requires scores.mix to be installed manually)
	Flak truck for soviets in ra mod
	Give dog a selection voice
	Only scroll when the game window is focused
	Fixed cursor/order bugs (includes force-fire c4 on allied structures, harvesting ore under shroud, move orders for aircraft, etc)
	Fixed a collection of crashes related to dead actors
	Fixed broken rpm package
	Create Debian packages

20100910-2
	Fixed attacking helipads
	Deployed more mirrors
	Added idle animations in C&C
	Fixed an issue with the sidebar palette in C&C Desert
	Integrated Jk's C&C Snow theater
	Go back to classic C&C refinery model
	Improve building explosions
	Add nuke flash to C&C
	Fix crash when losing FACT with a building ready to place
	Remove unused MIX files
	Add support for custom armor types
	Adjust bounding boxes on vehicles
	Windows installer prompts to install .NET if you don't have it
	Windows installer remembers previous location for upgrades
	Fix various crashes when refineries going away
	Fix serious performace issue -- Actor leak when failing to spawn units
	Add support for mobile production units
	Remove splash damage from Tiberium
	Fix a crash with actors dying with a projectile in-flight
	Correctly clean up cargo when a transport dies
	Fix client crash when the server disconnects
	Right-clicking on a valid passenger with a transport loads cargo
	Added zoom to editor
	Convert sequences to yaml
	Clean up the mod folders
	Add a shellmap for C&C
	Make pathfinder work with a MobileInfo rather than a live actor
	Add a loadscreen for C&C
	Correctly back up MIX files when upgrading windows installs

20100907
	Changed MiG prerequisites to AFLD+STEK
	Removed KENN, build DOG directly from BARR now
	Chronotank can only teleport when fully charged
	Improved OpenGL error logging
	Fixed targeting of FIX
	Fixed crash when an engineer is trying to repair a building, but it dies/gets sold/etc.
	Added muzzle flashes to Yak and Hind chainguns
	Fixed bounding boxes on some units
	Fixed accuracy of Tesla weapons
	Changed ownership of GUN and GTWR in CNC to both
	Fixed crash on destroying things that have a building reserved
	If ordered to move to an unpathable cell, move somewhere nearby that is pathable instead
	Fixed RPM linux package

20100906-2
	Shows game version in main menu screen for windows and linux

20100906
	Improvements to Render performance
	Improved debugging for performance issues
	"Give Exploration" developer-mode option
	Check for .net framework on windows install
	Allow the viewport to scroll past the map edge to prevent ui from blocking buildings
